#{extends 'borderNG.html' /}

<div class="breadcrumb">&{'agency.identitas'}</div>
<div class="content">
#{alert /}
#{form @admin.AgencyCtr.simpanIdentitas(), method:'POST'}
#{if agency?.agc_id}
    <input type=hidden name="agency.agc_id" value="${agency.agc_id}" />
    <input type="hidden" name="agency.agc_tgl_daftar" value="${agency.agc_tgl_daftar.format('dd-MM-yyyy')}" />
    <input type="hidden" name="agency.jna_id" value="${agency.jna_id}" />
    <input type="hidden" name="agency.pjId" value="${admin.peg_id}" />
    <input type="hidden" name="agency.skPjId" value="${admin.ada_nomor_sk}" />
#{/if}   
 
  <div class="form-group">
    <label class="col-lg-2 control-label">&{'agency.nama'}<span class="warning"> *</span></label>
    <div class="col-lg-10 #{errorClass 'agency.agc_nama'/}">
        <input type="text" name="agency.agc_nama" size="40" maxlength="80" value="${agency?.agc_nama}"
               class="form-control #{validate 'agency.agc_nama'/}">
        <div class="invalid-feedback">#{error 'agency.agc_nama' /}</div>
    </div>
  </div>
  <div class="form-group">
    <label class="col-lg-2 control-label">&{'agency.alamat'} <span class="warning">*</span></label>
    <div class="col-lg-10 #{errorClass 'agency.agc_alamat'/}">
      <input type="text" name="agency.agc_alamat" value="${agency.agc_alamat}" class="form-control" style="width:600px;" />
   	 	<span class="help-block">#{error 'agency.agc_alamat' /}</span>
    </div>
  </div>

  <div class="form-group">
    <label class="col-lg-2 control-label">&{'agency.provinsi'}<span class="warning"> *</span></label>
    <div class="col-lg-10 #{errorClass 'agency.propinsiId'/}">
      #{selectPropinsi 'agency.propinsiId', value:agency?.kabupaten?.propinsi?.prp_id /}
        <div class="invalid-feedback">#{error 'agency.propinsiId' /}</div>
    </div>
  </div>

  <div class="form-group">
    <label class="col-lg-2 control-label">&{'agency.kota'}<span class="warning"> *</span></label>
    <div class="col-lg-10 #{errorClass 'agency.kbp_id'/}">
        #{selectKabupaten 'agency.kbp_id', value:agency?.kbp_id, propinsiId:agency?.kabupaten?.prp_id /}
        <div class="invalid-feedback">#{error 'agency.kbp_id' /}</div>
    </div>
  </div>
  <div class="form-group">
    <label class="col-lg-2 control-label">&{'agency.telepon'}</label>
    <div class="col-lg-10">
      <input type="text" name="agency.agc_telepon" value="${agency.agc_telepon}" size="20" maxlength="20" class="form-control" />
    </div>
  </div>
  <div class="form-group">
    <label class="col-lg-2 control-label">&{'agency.fak'}</label>
    <div class="col-lg-10">
      <input type="text" name="agency.agc_fax" value="${agency.agc_fax}" size="20" maxlength="20"  class="form-control" />
    </div>
  </div>
  <div class="form-group">
    <label class="col-lg-2 control-label">&{'agency.website'}</label>
    <div class="col-lg-10">
      <input type="text" name="agency.agc_website" value="${agency.agc_website}" size="50" maxlength="200" class="form-control" />
      <span class="form-text">(contoh : http://abcd.com)</span>
    </div>
  </div>
  <div class="form-group">
    <label class="col-lg-2 control-label">&{'agency.penanggungjawab'}</label>
    <div class="col-lg-10">
       <p class="form-control-static">${pegawai?.peg_nama}</p>

    </div>
  </div>
  <div class="form-group">
    <label class="col-lg-2 control-label">&{agency.nip}</label>
    <div class="col-lg-10">
    	<p class="form-control-static">${pegawai?.peg_nip}</p>

    </div>
  </div>
  <div class="form-group row">
    <div class="col-lg-offset-2 col-lg-10">
        #{saveButton /}       
        #{backButton action:@controllers.BerandaCtr.index() /}
    </div>
  </div>
#{/form}

<div class="bs-callout bs-callout-warning"><span class="warning">*</span> &{'agency.dataisi'} </div>
</div>

#{set 'custom_script'}
<script type="text/javascript"> 
	var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
	$(document).on('change', '#propinsi', function(){
	      var id = $(this).val();
	      $.getJSON(kabUrl.url({id:id}), function(data){
		      var options = '';
		      for (var i = 0; i < data.length; i++) {
		        options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
		      }
		      $('#kabupaten').html(options);
		      $('#kabupaten').selectpicker('refresh');
	     })
	})
</script>
#{/set}
